
#ifndef INKJETFUNC_BUSMOTOS_LEISAICTRL_H_
#define INKJETFUNC_BUSMOTOS_LEISAICTRL_H_

#include "config.h"
#if (BUSCTRL_MOTO == LEISAI)
int InitLeisaiMoto(u8 devIdx);	//³υΚΌ»―
int MoveLeisaiToAbsolutePos(u8 devIdx, s32 pos, u16 spd);
int MoveLeisaiToRelativePos(u8 devIdx, s32 pos, u16 spd);
int GetLeisaiCurStatus(u8 devIdx, int * statuflg);
int GetLeisaiCurPusPos(u8 devIdx, s32 * puspos);
int MoveLeisaiJOGP(u8 devIdx, u16 spd);
int MoveLeisaiJOGN(u8 devIdx, u16 spd);
int LeisaiMotoStop(u8 devIdx);
int LeisaiMotoSetCurPosZero(u8 devIdx);
int LeisaiMotoToPosZero(u8 devIdx);
int LeisaiMotoSetLim(u8 devIdx, s32 posp, s32 posn);
int GetLeisaiCurErrcode(u8 devIdx, u16 * errcode);
#endif

#endif /* INKJETFUNC_BUSMOTOS_LEISAICTRL_H_ */
